<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_0ee0a25" . "025d73f8" . "693a4bb3" . "7a3c298a" . "c" => base64_decode("Y2hlY2tlZ" . "F9pbl9ieQ" . "=="), "_d5ebf376f635c188ec65813" . "608e6ece5" => base64_decode("bmV3X3Zl" . "cnNpb24="), "_6e38cb9e043a07cd" . "69a1711a6704c62a" => base64_decode("cGFyZW" . "50X2lk"));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0ee0a25025d73f8693a4bb37a3c298" . "ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d5ebf376f" . "635c188ec6" . "5813608e6e" . "ce5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_6e38cb9e043a07cd69a" . "1711a6704c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}